### Method

# Msg Service build_message

#### Declaration [src]

    SoupMessage*
    msg_service_build_message (
      MsgService* self,
      const char* method,
      const char* uri,
      const char* etag,
      gboolean etag_if_match
    )

#### Description [src]

Construct and checks a `SoupMessage` for transfer.

#### Parameters

`method`

  Type: `const char*`

  Transfer method.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`uri`

  Type: `const char*`

  Uri to access.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`etag`

  Type: `const char*`

  An optional etag.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`etag_if_match`

  Type: `gboolean`

  Use etag if.

#### Return value

Type: `SoupMessage`

A `SoupMessage` or NULL on error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.